/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmACPort.java
 * version 2
 */
package TsmRTE.TsmComponent;

import TsmRTE.TsmGen.*;

/**
 * Active Client Port
 */
public class TsmACPort extends TsmActivePort
{
  @Override
  public void Handle( TsmTrigger oTrigger )
  {
    TsmEnvelope lEnvelope = new TsmEnvelope( oTrigger, Target );
    mThread.ASyncCall( lEnvelope );
  }

  @Override
  public String ToSeq()
  {
    return "E," + mThread.getExtQueue().getSeqId();
  }
}
