/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmASPort.java
 * version 2
 */
package TsmRTE.TsmComponent;

import TsmRTE.TsmGen.*;

/**
 * Active Server Port
 */
public class TsmASPort extends TsmActivePort
{
  @Override
  public void Handle( TsmTrigger oTrigger )
  {
    TsmEnvelope lEnvelope = new TsmEnvelope( oTrigger, Target );
    mThread.SyncCall( lEnvelope );
  }

  @Override
  public String ToSeq()
  {
    return "R," + mThread.getExtQueue().getSeqId();
  }
}

