/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmExecComponent.java
 * version 2
 */
package TsmRTE.TsmComponent;

import TsmRTE.TsmSupervisor.*;

/**
 * Executable Component
 */
public class TsmExecComponent extends TsmComponent
{
  public TsmExecComponent()
  {
  }

  public void Activate()
  {
    TsmSupervisor.Initialise();
    TsmIntQueue lIntQueue = TsmSupervisor.GetIntQueue();

    TsmInitialiseAll( null );
    TsmConnectAll( lIntQueue );
    TsmPrepareAll( null );
    TsmRunAll( null );
  }

  public void Execute()
  {
    TsmMentionAll( TsmSupervisor.Classes );
    TsmSupervisor.Verify();
    this.TsmCheckVisitAll();
    TsmSupervisor.Summary();
  }

  public void Deactivate()
  {
    TsmHaltAll( null );
    TsmCeaseAll( null );
    TsmDisconnectAll( null );
    TsmTerminateAll( null );

    TsmSupervisor.Terminate();
  }
}
