/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmPCPort.java
 * version 2
 */
package TsmRTE.TsmComponent;

import TsmRTE.TsmGen.*;
import TsmRTE.TsmSupervisor.TsmIntQueue;

/**
 * Passive Client Port
 */
public class TsmPCPort extends TsmPort
{
  private TsmIntQueue mIntQueue;

  public void setIntQueue( TsmIntQueue oIntQueue )
  {
    mIntQueue = oIntQueue;
  }

  @Override
  public void Handle( TsmTrigger oTrigger )
  {
    TsmEnvelope lEnvelope = new TsmEnvelope( oTrigger, Target );
    mIntQueue.Put( lEnvelope );
  }

  @Override
  public String ToSeq()
  {
    return "I," + mIntQueue.getSeqId();
  }
}

