/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmFsm.java
 * version 3
 */
package TsmRTE.TsmState;

import TsmRTE.TsmSupervisor.*;

public class TsmFsm extends TsmCompound
{
  public void ExecuteTriggerFsm( TsmHandler oHandler )
  {
    ExecuteTrigger( oHandler );
    if ( ! oHandler.bTaken )
    {
      TsmRecorder.UnhandledFunction( oHandler.Trigger.toString() + " @ " +
        this.TsmName + " (" + this.toString() + ")" );
    }
  }

  @Override
  public void ExecuteTriggerless( TsmHandler oHandler )
  {
    oHandler.Action = TsmHandlerAction.QUIT;
  }

  public void TsmReset1( TsmHandler oHandler )
  {
    AtExit( oHandler );
  }

  public void TsmReset2( TsmHandler oHandler )
  {
    Initial( oHandler );
  }

  @Override
  public String TsmSnap()
  {
    return ":" + super.TsmSnap();
  }
}
