/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmActivity.java
 * version 2
 */
package TsmRTE.TsmSupervisor;

import java.util.concurrent.Semaphore;

public class TsmActivity
{
  private int         mNrAnnounce = 0;
  private int         mNrAbandon = 0;
  private Semaphore   mSem = new Semaphore( 0 );

  public void Wait()
  {
    while ( mNrAnnounce != mNrAbandon )
    {
      try
      {
        mSem.acquire();
      }
      catch ( InterruptedException e )
      {
        e.printStackTrace();
      }
    }
  }

  public void Announce()
  {
    mNrAnnounce++;
  }

  public void Abandon()
  {
    mNrAbandon++;
    mSem.release();
  }
}
