/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmMutex.java
 * version 2
 */
package TsmRTE.TsmSupervisor;

import java.util.concurrent.Semaphore;

@SuppressWarnings("serial")
public class TsmMutex extends Semaphore
{
  protected boolean       mbExclusive = false;

  public TsmMutex()
  {
    super( 1 );
    mbExclusive = false;
  }

  public void WaitOne()
  {
    //Tsm.Assert( ! mbExclusive );
    try
    {
      this.acquire();
    }
    catch ( InterruptedException e )
    {
      e.printStackTrace();
    }
    mbExclusive = true;    
  }

  public void ReleaseMutex()
  {
    mbExclusive = false;
    this.release();  
  }
}
