/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmTriggerSem.java
 * version 2
 */
package TsmRTE.TsmSupervisor;

import java.util.concurrent.Semaphore;

public class TsmTriggerSem
{
  private Semaphore mSem;

  public TsmTriggerSem()
  {
    mSem = new Semaphore( 0 );
  }

  public void WaitOne()
  {
    try
    {
      mSem.acquire();
    }
    catch ( InterruptedException e )
    {
      e.printStackTrace();
    }
  }

  public void Release()
  {
    mSem.release();
  }
}
