/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmBase.java
 * version 3
 */
package TsmRTE.TsmGen;

import TsmRTE.TsmState.*;

public class TsmBase
{
  public TsmBase  TsmParent = null;
  public String   TsmName = "";

  public String TotalName()
  {
    String s = "";
    if ( null != TsmParent )
    {
      s = TsmParent.TotalName();
      String p = s.substring( s.length() - 1, s.length() );
      if ( ! p.equals( ">" ) )
      {
        s += " ";
      }
      s += ">";
      if ( ! Util.IsNullOrEmpty( TsmName ) )
      {
        s += " ";
      }
    }
 
    if ( this.TsmParent instanceof TsmSubFsm )
    {
      return s + "{" + TsmName + "}";
    }
    return s + TsmName;
  }
 
  public String FullName()
  {
    return "( " + TotalName() + " )";
  }
}
