/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmEnvelope.java
 * version 1
 */
package TsmRTE.TsmGen;

import TsmRTE.TsmComponent.*;

public class TsmEnvelope
{
  private TsmTrigger  mTrigger;
  private TsmClass    mTarget;

  public TsmEnvelope( TsmTrigger oTrigger, TsmClass oTarget )
  {
    this.mTrigger = oTrigger;
    this.mTarget  = oTarget;
  }

  public TsmTrigger getTrigger()
  {
    return mTrigger;
  }

  public TsmClass getTarget()
  {
    return mTarget;
  }

  public String Snap()
  {
    return mTrigger.Snap();
  }
}

