/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmHandler.java
 * version 2
 */
package TsmRTE.TsmState;

import TsmRTE.TsmGen.*;
import TsmRTE.TsmComponent.*;

public class TsmHandler
{
  public int              Action = TsmHandlerAction.NONE;
  public int              Index  = -1;
  public int              Prospect = TsmProspect.NOK;
  public boolean          bTaken = false;
  public TsmClass         Owner;
  public TsmTrigger       Trigger;
  public TsmSubFsm        TacSubFsm;

  public TsmHandler() {}
  public TsmHandler( TsmClass oOwner )
  {
    Owner = oOwner;
  }

  public TsmHandler( TsmClass oOwner, TsmTrigger oTrigger )
  {
    Owner = oOwner;
    Trigger = oTrigger;
  }
}
