/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmLeaf.java
 * version 2
 */
package TsmRTE.TsmState;

public class TsmLeaf extends TsmState
{
  @Override
  public void Initial( TsmHandler oHandler )
  {
    oHandler.Action = TsmHandlerAction.OK;
  }

  /*
   * Results of oHandler.Action :
   * NOK: no triggers, or triggerless
   * GUARD: trigger, guarded
   * OK: internal transition (even ignored transition)
   * TRANSITION: trigger honoured
   */
  @Override
  public void ExecuteTrigger( TsmHandler oHandler )
  {
    oHandler.Action = TsmHandlerAction.NOK;
  }
}
