/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmCbThread.java
 * version 4
 */
package TsmRTE.TsmSupervisor;

import TsmRTE.TsmGen.*;

public class TsmCbThread extends TsmThread
{
  public TsmCbThread()
  {
    super( TsmThreadType.CB_THREAD );
  }

  public void Prepare()
  {
    mThread = new TsmCbWorker( this );
    mSequence = TsmSupervisor.Register( this, mType );
    mExternalQueue.setSeqId( mSequence );
    mInternalQueue.setSeqId( mSequence );
    mThread.setName( "TismRTE" );
  }

  public void NativeCall( TsmEnvelope oEnvelope )
  {
    mExternalQueue.Put( oEnvelope );
  }

  @Override
  public void CbHandle( TsmEnvelope oEnvelope )
  {
    oEnvelope.getTarget().ExecuteNative( oEnvelope.getTrigger().Command );
  }
}

